
package de.ivu.elect.presentation.veranstaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.veranstaltung.exchange.TeilnahmeImportDescription;

public class TeilnahmeImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient VeranstaltungDisabledPruefer veranstaltungDisabledPruefer;

  @Inject
  private transient TeilnahmeImportDescription teilnahmeImportDescription;

  public TeilnahmeImportMenuItemEntry() {
    super();
  }

  @Override
  protected boolean isDisabledInternal() {
    return super.isDisabledInternal() || veranstaltungDisabledPruefer.isDisabled();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return teilnahmeImportDescription;
  }

  @Override
  public String getLabel() {
    return getMessage(getLabelKey(), getMessage("entity.mehrzahl.TEILNAHME"));
  }
}
